For the complete documentation index, see llms.txt. This page is also available as Markdown.

List requests

List all API requests made by the current user.

get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
filter.statusstringOptional

Filter the list by request status [QUEUED, RUNNING, DONE, FAILED]. Filter is not affected by the depth query parameter.

filter.createdAfterstringOptional

Filter the list to only include the requests created after the date, specified in the yyyy-MM-dd HH:mm:ss format. Filter is not affected by the depth query parameter.

filter.createdBeforestringOptional

Filter the list to only include the requests created before the date, specified in the yyyy-MM-dd HH:mm:ss format. Filter is not affected by the depth query parameter.

filter.createdDatestringOptional

Filter the list to only include the requests that contain the createdDate, specified in the yyyy-MM-dd HH:mm:ss format. The value is not case-sensitive, and the filter requires that the depth query parameter value is greater than zero.

filter.etagstringOptional

Filter the list to only include the requests that contain the specified etag. The value is not case-sensitive, and the filter requires that the depth query parameter value is greater than zero.

filter.requestStatusstringOptional

Filter the list to only include the requests that contain the specified requestStatus. The value is not case-sensitive, and the filter requires that the depth query parameter value is greater than zero.

filter.methodstringOptional

Filter the list to only include the requests that contain the specified method. The value is not case-sensitive, and the filter requires that the depth query parameter value is greater than zero.

filter.headersstringOptional

Filter the list to only include the requests that contain the specified headers. The value is not case-sensitive, and the filter requires that the depth query parameter value is greater than zero.

filter.bodystringOptional

Filter the list to only include the requests that contain the specified body. The value is not case-sensitive, and the filter requires that the depth query parameter value is greater than zero.

filter.urlstringOptional

Filter the list to only include the requests that contain the specified URL. The value is not case-sensitive, and the filter requires that the depth query parameter value is greater than zero.

offsetinteger · int32Optional

The first element (from the complete list of the elements) to include in the response (used together with limit for pagination).

Default: 0
limitinteger · int32 · min: 1 · max: 10000Optional

The maximum number of elements to return (use together with offset for pagination).

Default: 1000
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
200

Successful operation

application/json
get/requests
GET /cloudapi/v6/requests HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
  "id": "requests",
  "type": "collection",
  "href": "<RESOURCE-URI>",
  "items": [
    {
      "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
      "type": "request",
      "href": "<RESOURCE-URI>",
      "metadata": {
        "createdDate": "2015-12-04T14:34:09.809Z",
        "createdBy": "user@example.com",
        "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
        "requestStatus": {
          "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
          "type": "request-status",
          "href": "<RESOURCE-URI>",
          "metadata": {
            "status": "QUEUED",
            "message": "text",
            "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
            "targets": [
              {
                "target": {
                  "id": "text",
                  "type": "resource",
                  "href": "<RESOURCE-URI>"
                },
                "status": "QUEUED"
              }
            ]
          }
        }
      },
      "properties": {
        "method": "text",
        "headers": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "body": "text",
        "url": "text"
      }
    }
  ],
  "offset": 0,
  "limit": 1000,
  "_links": {
    "prev": "<PREVIOUS-PAGE-URI>",
    "self": "<THIS-PAGE-URI>",
    "next": "<NEXT-PAGE-URI>"
  }
}

Last updated

Was this helpful?